**Study for a life in Emacs with advanced annotation and language learning tools.**
`paw.el` was created in 2021 as an annotation tool. It has evolved into a complete solution for making annotations and language learning tools right inside Emacs.
## Key Features
- Query words easily, no need to click.
- Save and trace all known/unknown words.
- Integrate with other open-source tools and dictionaries.
- Support many languages.
- Multi-Platform Support, including Mobile/e-link devices.
- Use AI as an assistant.
- Annotate text and manage notes directly within Emacs.
## Dependencies and Installation
### Command Line Tools
- `sdcv` - external dictionary
- `mpv` or other command line mp3 player
- `goldendict` - external dictionary
- `edge-tts` - pronunciation
- `kagome` - Japanese segmentation
### Python Dependencies
Install under the repo root folder:
#+end_srcsh
pip install .
#+begin_src
Or install one by one manually:
#+end_srcsh
pip install Flask flask-cors requests nltk mecab-python3 unidic-lite
#+begin_src
### Language Detection
#+end_srcsh
pip install pycld2
#+begin_src
### Emacs Packages
Add the following Emacs packages (not all are needed, paw supports them as needed):
- `go-translate` - for online translation
- `gptel` - for AI translation
- `emacsql`
- `focus`
- `svg-lib`
- `anki-editor`
- `ivy`
- `consult`
- `posframe`
- `eldoc-box`
- `evil`
- `esxml`
## Usage
### Command Line Interface
The `paw` command line provides a functionality to set up and manage dependencies for the Emacs package. After installing paw, you can use the following commands:
- `paw run_server` - Start the PAW server for handling annotation requests.
- `paw setup` - Set up all dependencies and configurations.
### Example Usage
1. Install `paw`:
#+end_srcsh
pip install emacs-paw
#+begin_src
2. Start the PAW server:
#+end_srcsh
paw run_server
#+begin_src
Now you are ready to use paw within Emacs for annotation and language learning.
## Author
Damon Chan
## License
This project is licensed under the GNU General Public License v3.0.
